Subject: Re: bug#7329: [Patch] Enable completion in inferior-python-mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 17 Nov 2010 08:14:29 -0500

>> That patch doesn't look bad at all.  The \\= construct means "match
>> point", i.e. (re-search-backward ">>> \\=" nil t) is very much like
>> (looking-back ">>> ").  So if that doesn't work it's probably because
>> there is text between the ">>> " prompt and point.
>> Do you happen to know what that text is, so we can assess whether we can
>> just plainly ignore it as you do, or whether there's more to it.

> The text between >>> and point is what I'm going to complete. I think
> it can be anything.

Then maybe another fix is to add a

  (save-excursion
    (goto-char (process-mark (or proc (python-proc))))
    ...)

Since this goto-char should then move point right after the prompt, just
where the current code expects it to be.

        Stefan